# ~ pomocí '()' otevřeme více souborů najednou, každý pěkně na svoji vlastní řádku ve zdrojovém kódu, aby se to lépe četlo
# ~ čárka za posledním otevřeným souborem uvnitř 'with ()' Pythonu naštěstí nevadí, takže v případě potřeby můžete v klidu měnit jejich pořadí a kód bude pořád funkční
with (
    open('filmy_2_hlavicka.csv', mode='tr', encoding='utf-8') as soubor,
    open('19.txt', mode='tw', encoding='utf-8') as výstupní_soubor,
):
    # hlavička
    hlavička = next(soubor)
    # zpracuj textový soubor řádku po řádce (ale už bez hlavičkové řádky)
    for řádka in soubor:
        # odstraníme odřádkování na konci načtené řádky
        řádka = řádka.strip()
        # rozdělíme data v řádce na jednotlivé sloupečky
        # ~ pětiprvkový seznam rozbalíme na pět proměnných
        pořadí, název, rok, režisér, tržby = řádka.split(';')
        # výsledek vytiskneme pěkně naformátovaný na terminál
        print(f'{pořadí}) {název} ({rok})', file=výstupní_soubor)
        print(f'\tr. {režisér}', file=výstupní_soubor)
        print(f'\ttržby {tržby}', file=výstupní_soubor)
